play.api.db.evolutions.InvalidDatabaseRevision: Database 'default' needs evolution![An SQL script need to be run on your database.]

Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Solutions on the web

via GitHub by Notalifeform
, 1 year ago
Database 'default' needs evolution![An SQL script need to be run on your database.]
via Google Groups by notalifeform, 1 year ago
Database 'default' needs evolution![An SQL script need to be run on your database.]
via GitHub by teozkr
, 2 years ago
Database 'default' needs evolution![An SQL script need to be run on your database.]
via GitHub by arunasr
, 1 year ago
Database 'default' needs evolution![An SQL script need to be run on your database.]
play.api.db.evolutions.InvalidDatabaseRevision: Database 'default' needs evolution![An SQL script need to be run on your database.]
at play.api.db.evolutions.ApplicationEvolutions$$anonfun$play$api$db$evolutions$ApplicationEvolutions$$runEvolutions$1.apply$mcV$sp(ApplicationEvolutions.scala:77)
at play.api.db.evolutions.ApplicationEvolutions.withLock(ApplicationEvolutions.scala:99)
at play.api.db.evolutions.ApplicationEvolutions.play$api$db$evolutions$ApplicationEvolutions$$runEvolutions(ApplicationEvolutions.scala:49)
at play.api.db.evolutions.ApplicationEvolutions$$anonfun$start$1.apply(ApplicationEvolutions.scala:42)
at play.api.db.evolutions.ApplicationEvolutions.start(ApplicationEvolutions.scala:42)
at play.api.db.evolutions.ApplicationEvolutions.(ApplicationEvolutions.scala:150)
at play.api.db.evolutions.ApplicationEvolutionsProvider.get$lzycompute(EvolutionsModule.scala:53)

Users with the same issue

21 times, 1 year ago
6 times, 1 year ago

Know the solutions? Share your knowledge to help other developers to debug faster.